// src/button/PrevButton.tsx
import { Button } from "@mantine/core";

// src/context/index.tsx
import { createStoreContext } from "@leight/context-client";
import {
  useCalendar
} from "@tuplo/use-calendar";
import { jsx } from "react/jsx-runtime";
var {
  Provider: CalendarStoreProvider,
  useState: useCalendarStoreState,
  useOptionalState: useOptionalCalendarStoreState,
  useStore: useCalendarStoreStore,
  useOptionalStore: useOptionalCalendarStoreStore
} = createStoreContext({
  state: ({ state }) => () => ({
    ...state
  }),
  name: "CalendarStoreContext",
  hint: "Add CalendarStoreProvider."
});
var CalendarProvider = ({ options, ...props }) => {
  const calendar = useCalendar(options);
  return /* @__PURE__ */ jsx(
    CalendarStoreProvider,
    {
      state: {
        calendar
      },
      ...props
    }
  );
};

// src/button/PrevButton.tsx
import { jsx as jsx2 } from "react/jsx-runtime";
var PrevButton = () => {
  const { calendar: { getBackProps } } = useCalendarStoreState(({ calendar }) => ({ calendar }));
  return /* @__PURE__ */ jsx2(Button, { ...getBackProps(), children: "Prev" });
};

// src/button/NextButton.tsx
import { Button as Button2 } from "@mantine/core";
import { jsx as jsx3 } from "react/jsx-runtime";
var NextButton = () => {
  const { calendar: { getForwardProps } } = useCalendarStoreState(({ calendar }) => ({ calendar }));
  return /* @__PURE__ */ jsx3(Button2, { ...getForwardProps(), children: "Next" });
};

// src/ui/Calendar.tsx
import { Button as Button3 } from "@mantine/core";
import { Fragment, jsx as jsx4, jsxs } from "react/jsx-runtime";
var Calendar = () => {
  const { calendar: { months } } = useCalendarStoreState(({ calendar }) => ({ calendar }));
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    "Calendar here!",
    /* @__PURE__ */ jsx4(Button3, { children: "Cudlik" }),
    /* @__PURE__ */ jsx4(Fragment, { children: months.map(({ year, month, weeks }) => /* @__PURE__ */ jsxs("div", { children: [
      /* @__PURE__ */ jsx4("header", { children: /* @__PURE__ */ jsxs("h1", { children: [
        month,
        " ",
        year
      ] }) }),
      /* @__PURE__ */ jsxs("nav", { children: [
        /* @__PURE__ */ jsx4(PrevButton, {}),
        /* @__PURE__ */ jsx4(NextButton, {})
      ] }),
      weeks.map((week) => week.map(
        (day) => /* @__PURE__ */ jsx4(Fragment, { children: day ? /* @__PURE__ */ jsx4("button", { children: day.date.getDate() }) : /* @__PURE__ */ jsx4("span", {}) })
      ))
    ] }, `calendar-${year}-${month}`)) })
  ] });
};
export {
  Calendar,
  CalendarProvider,
  CalendarStoreProvider,
  NextButton,
  PrevButton,
  useCalendarStoreState,
  useCalendarStoreStore,
  useOptionalCalendarStoreState,
  useOptionalCalendarStoreStore
};
//# sourceMappingURL=index.js.map
